@charset "UTF-8";
@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 900;
  src: url("./font/NotoSansJP-Black.woff2") format("woff2"), url("./font/NotoSansJP-Black.woff") format("woff"), url("./font/NotoSansJP-Black.ttf") format("truetype");
  font-display: swap;
}
@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 700;
  src: url("./font/NotoSansJP-Bold.woff2") format("woff2"), url("./font/NotoSansJP-Bold.woff") format("woff"), url("./font/NotoSansJP-Bold.ttf") format("truetype");
  font-display: swap;
}
@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 500;
  src: url("./font/NotoSansJP-Medium.woff2") format("woff2"), url("./font/NotoSansJP-Medium.woff") format("woff"), url("./font/NotoSansJP-Medium.ttf") format("truetype");
  font-display: swap;
}
.c-footer {
  margin-top: 170px;
  text-align: center;
  overflow-x: hidden;
}
@media screen and (max-width: 767px) {
  .c-footer {
    margin-top: 90px;
  }
}

@media screen and (max-width: 960px) {
  .c-footer__main {
    padding: 0 20px;
  }
}

.c-footer__logo img {
  animation: poyo 10s infinite;
}
@media screen and (max-width: 767px) {
  .c-footer__logo img {
    width: auto;
    height: 90px;
  }
}

@keyframes poyo {
  0%, 10% {
    transform: skew(0deg, 0deg);
  }
  1.25% {
    transform: skew(5deg, 5deg);
  }
  2.5% {
    transform: skew(-4deg, -4deg);
  }
  3.75% {
    transform: skew(3deg, 3deg);
  }
  5% {
    transform: skew(-2deg, -2deg);
  }
  6.25% {
    transform: skew(1deg, 1deg);
  }
  7.5% {
    transform: skew(-0.6deg, -0.6deg);
  }
  8.75% {
    transform: skew(0.3deg, 0.3deg);
  }
}
.c-footer__sns {
  margin: 50px 0;
}
@media screen and (max-width: 767px) {
  .c-footer__sns {
    margin: 30px 0;
  }
}
.c-footer__sns > p {
  font-weight: bold;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .c-footer__sns > p {
    margin-bottom: 20px;
    font-size: 1.7rem;
    line-height: 1.7;
  }
}

.c-footer__info-wrap {
  display: flex;
  justify-content: center;
  gap: 30px;
}
@media screen and (max-width: 767px) {
  .c-footer__info-wrap {
    display: block;
  }
}

.c-footer__info {
  display: flex;
  flex-flow: column;
  width: 400px;
  min-height: 250px;
  border: 6px solid #2C4473;
  border-radius: 20px;
}
@media screen and (max-width: 767px) {
  .c-footer__info {
    width: 100%;
    max-width: 400px;
    min-height: auto;
    margin: 0 auto;
  }
}
@media screen and (max-width: 767px) {
  .c-footer__info + .c-footer__info {
    margin-top: 15px;
  }
}
.c-footer__info h2 {
  padding: 18px 14px 14px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 3.4rem;
  line-height: 1;
  color: #EDE6D7;
  background-color: #2C4473;
}
@media screen and (max-width: 767px) {
  .c-footer__info h2 {
    padding: 8px 14px 11px;
    font-size: 2.8rem;
  }
}

.c-footer__info-content {
  display: flex;
  flex-flow: column;
  height: 100%;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content {
    padding: 15px 10px 19px;
  }
}
@media screen and (max-width: 350px) {
  .c-footer__info-content {
    padding: 15px 8px 19px;
  }
}
.c-footer__info-content > * {
  margin: auto;
}
.c-footer__info-content > *[data-info=address] {
  font-size: 1.6rem;
  font-weight: bold;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content > *[data-info=address] {
    font-size: 1.5rem;
  }
}
@media screen and (max-width: 350px) {
  .c-footer__info-content > *[data-info=address] {
    font-size: 1.4rem;
  }
}
.c-footer__info-content > *[data-info=address] a {
  text-decoration: underline;
}
.c-footer__info-content > *[data-info=address] a:hover {
  text-decoration: none;
}
.c-footer__info-content dl div {
  display: flex;
  font-size: 1.6rem;
  font-weight: bold;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content dl div {
    font-size: 1.5rem;
  }
}
@media screen and (max-width: 350px) {
  .c-footer__info-content dl div {
    font-size: 1.4rem;
  }
}
.c-footer__info-content dl div + div {
  margin-top: 10px;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content dl div + div {
    margin-top: 4px;
  }
}
.c-footer__info-content dl div dt {
  min-width: 65px;
  margin-right: 15px;
  text-align: left;
  opacity: 0.7;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content dl div dt {
    min-width: 60px;
    margin-right: 11px;
  }
}
@media screen and (max-width: 350px) {
  .c-footer__info-content dl div dt {
    min-width: 56px;
    margin-right: 10px;
  }
}

.c-footer__info-content-list li {
  display: flex;
}
.c-footer__info-content-list li p {
  font-size: 1.6rem;
  font-weight: 700;
  line-height: 2em;
}
.c-footer__info-content-list li p span {
  font-weight: 700;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content-list li p {
    font-size: 1.5rem;
    white-space: nowrap;
  }
  .c-footer__info-content-list li p span {
    white-space: nowrap;
  }
}
.c-footer__info-content-list li .weekday-item {
  margin-right: 1em;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content-list li .weekday-item {
    margin-right: 8px;
  }
}
.c-footer__info-content-list li .time-item span {
  font-size: 1.3rem;
  margin-left: 3px;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content-list li .time-item span {
    font-size: 1.2rem;
  }
}
.c-footer__info-content-list .attention-comment {
  font-size: 1.3rem;
}
@media screen and (max-width: 767px) {
  .c-footer__info-content-list .attention-comment {
    font-size: 1.1rem;
  }
}

.c-footer__sub {
  position: relative;
  min-height: 100px;
  margin-top: 225px;
  color: #EDE6D7;
  background-color: #2C4473;
}
@media screen and (max-width: 767px) {
  .c-footer__sub {
    min-height: 70px;
    margin-top: 150px;
    padding: 20px 0 0;
  }
}
.c-footer__sub::before {
  content: "";
  position: absolute;
  top: -130px;
  right: 0;
  left: 0;
  width: 100%;
  height: 134px;
  background-image: url(./image/figure/footer-wave.svg);
  background-size: contain;
  background-repeat: repeat;
  animation: footer-anime 6s 0.3s infinite;
}
@media screen and (max-width: 767px) {
  .c-footer__sub::before {
    top: -52px;
    height: 55px;
    background-size: 101px 55px;
  }
}
.c-footer__sub p {
  font-size: 1.2rem;
  font-weight: bold;
  line-height: 2;
}
.c-footer__sub p a {
  text-decoration: underline;
}
.c-footer__sub p a:hover {
  text-decoration: none;
}

@keyframes footer-anime {
  0% {
    transform: scaleX(100%);
  }
  35% {
    transform: scaleX(120%);
  }
  50% {
    transform: scaleX(120%);
  }
  100% {
    transform: scaleX(100%);
  }
}
.c-header__nav {
  position: fixed;
  z-index: 3;
  top: 130px;
  right: 60px;
  height: 0;
  min-width: 240px;
  color: #D04D18;
  background-color: #EDE6D7;
  border: 2px solid #D04D18;
  border-radius: 10px;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-in;
}
@media screen and (max-width: 1420px) {
  .c-header__nav {
    right: 30px;
  }
}
@media screen and (max-width: 960px) {
  .c-header__nav {
    top: 90px;
    right: 20px;
  }
}
@media screen and (max-width: 767px) {
  .c-header__nav {
    top: 70px;
    min-width: 180px;
  }
}
.c-header__nav[aria-hidden=false] {
  opacity: 1;
  visibility: visible;
}

.c-header__nav-inner {
  padding: 30px 30px 32px;
}
@media screen and (max-width: 767px) {
  .c-header__nav-inner {
    padding: 30px 25px 32px;
  }
}

.c-header__button {
  position: fixed;
  z-index: 12;
  top: 60px;
  right: 60px;
  min-width: 120px;
  padding: 0 15px 5px;
  background-color: #D04D18;
  border: 2px solid #D04D18;
  border-radius: 10px;
  transition: background-color 350ms ease-in, opacity 0.4s 5s;
  opacity: 0;
}
.c-header__button[data-view=true] {
  opacity: 1;
}
.c-header__button[data-page=news] {
  opacity: 1;
}
@media screen and (max-width: 1420px) {
  .c-header__button {
    top: 30px;
    right: 30px;
  }
}
@media screen and (max-width: 960px) {
  .c-header__button {
    top: 20px;
    right: 20px;
  }
}
@media screen and (max-width: 767px) {
  .c-header__button {
    min-width: 70px;
    padding: 0 10px 2px;
    transition: background-color 350ms ease-in, opacity 0.4s 1s;
  }
}
@media (any-hover: hover) {
  .c-header__button:hover {
    background-color: #EDE6D7;
  }
  .c-header__button:hover span {
    color: #D04D18;
  }
  .c-header__button:hover span::after {
    background-color: #D04D18;
  }
}
.c-header__button[aria-expanded=true] {
  background-color: #EDE6D7;
}
.c-header__button[aria-expanded=true] span {
  font-size: 0;
}
.c-header__button[aria-expanded=true] span::before {
  content: "CLOSE";
  display: inline-block;
  font-size: 2.8rem;
  color: #D04D18;
}
@media screen and (max-width: 767px) {
  .c-header__button[aria-expanded=true] span::before {
    font-size: 2rem;
  }
}
.c-header__button[aria-expanded=true] span::after {
  bottom: -13px;
  background-color: #D04D18;
}
@media screen and (max-width: 767px) {
  .c-header__button[aria-expanded=true] span::after {
    bottom: -8px;
  }
}
.c-header__button span {
  position: relative;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 2.8rem;
  line-height: 1.8;
  color: #EDE6D7;
  transition: color 0.3s;
}
@media screen and (max-width: 767px) {
  .c-header__button span {
    font-size: 2rem;
  }
}
.c-header__button span::after {
  content: "";
  position: absolute;
  bottom: -8px;
  left: 0;
  right: 0;
  display: inline-block;
  width: 100%;
  height: 3px;
  background-color: #EDE6D7;
  border-radius: 2px;
  transition: background-color 0.3s;
}
@media screen and (max-width: 767px) {
  .c-header__button span::after {
    bottom: -3px;
    height: 2px;
  }
}

.c-wrapper {
  max-width: 1020px;
  margin: 0 auto;
  padding: 0 30px;
}

.c-wrapper__large {
  max-width: 1260px;
  margin: 0 auto;
  padding: 0 30px;
}

.c-wrapper__small {
  max-width: 860px;
  margin: 0 auto;
  padding: 0 30px;
}

.c-button {
  margin-top: 15px;
}
.c-button[data-color=dark] a {
  border: 2px solid #2C4473;
}
.c-button[data-color=dark] a:hover {
  color: #EDE6D7;
}
.c-button[data-color=dark] a:hover svg path {
  fill: #EDE6D7;
}
.c-button[data-color=dark] a::after {
  background-color: #2C4473;
}
.c-button[data-color=dark] a svg path {
  fill: #2C4473;
}
.c-button[data-background=green] a:hover {
  color: #3C583F;
}
.c-button[data-background=green] a:hover svg path {
  fill: #3C583F;
}
.c-button[data-background=brown] a:hover {
  color: #504437;
}
.c-button[data-background=brown] a:hover svg path {
  fill: #504437;
}
.c-button[data-background=orange] a:hover {
  color: #D04D18;
}
.c-button[data-background=orange] a:hover svg path {
  fill: #D04D18;
}
.c-button a {
  position: relative;
  display: inline-flex;
  align-items: center;
  width: 320px;
  padding: 25px 56px 30px 56px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 3.2rem;
  line-height: 1;
  text-decoration: none;
  border: 2px solid #EDE6D7;
  border-radius: 4px;
  transition: color 0.3s;
}
@media screen and (max-width: 767px) {
  .c-button a {
    width: 100%;
    padding: 15px 33px 19px;
    max-width: 225px;
    font-size: 2.6rem;
  }
}
.c-button a:hover {
  color: #2C4473;
}
.c-button a:hover::after {
  transform: scaleY(100%);
}
.c-button a::after {
  content: "";
  position: absolute;
  z-index: 0;
  inset: 0;
  background-color: #EDE6D7;
  transform: scaleY(0);
  transition: transform 0.4s;
}
.c-button a svg {
  position: relative;
  z-index: 1;
  margin-right: 25px;
}
@media screen and (max-width: 767px) {
  .c-button a svg {
    margin-right: 20px;
  }
}
.c-button a svg path {
  transition: fill 0.3s;
}
.c-button a span {
  position: relative;
  z-index: 1;
}

.c-text + .c-button {
  margin-top: 40px;
}
@media screen and (max-width: 767px) {
  .c-text + .c-button {
    margin-top: 30px;
  }
}

.c-text__sub + .c-button {
  margin-top: 50px;
}
@media screen and (max-width: 767px) {
  .c-text__sub + .c-button {
    margin-top: 25px;
  }
}

.c-heading {
  margin-bottom: 30px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 8.2rem;
  line-height: 1;
  transform: translateY(60px);
  opacity: 0;
  transition: all 0.5s 0.3s var(--easePopUp);
}
@media screen and (max-width: 767px) {
  .c-heading {
    margin-bottom: 24px;
    font-size: 4.8rem;
  }
}
.c-heading[data-view=true] {
  transform: translateY(0);
  opacity: 1;
}

.c-lead {
  font-size: 2.4rem;
  font-weight: 900;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .c-lead {
    font-size: 1.8rem;
    line-height: 1.7;
  }
}

.c-nav-global li {
  line-height: 1;
}
.c-nav-global li + li {
  margin-top: 25px;
}
@media screen and (max-width: 767px) {
  .c-nav-global li + li {
    margin-top: 20px;
  }
}
.c-nav-global li a {
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 2.2rem;
  line-height: 0.9;
  text-decoration: none;
  transition: color 0.3s;
}
@media screen and (max-width: 767px) {
  .c-nav-global li a {
    font-size: 2rem;
  }
}
.c-nav-global li a:hover {
  color: #504437;
}

.c-slide-sub,
.c-slide-sub__02 {
  position: relative;
}
.c-slide-sub[data-view=true]::before,
.c-slide-sub__02[data-view=true]::before {
  height: 0;
  top: initial;
}
.c-slide-sub::before,
.c-slide-sub__02::before {
  content: "";
  position: absolute;
  z-index: 1;
  inset: 0;
  height: 100%;
  background-color: #D04D18;
  transition: height 0.7s 0.6s ease-in-out;
}
.c-slide-sub > *,
.c-slide-sub__02 > * {
  border-radius: 20px;
  overflow: hidden;
}
@media screen and (max-width: 767px) {
  .c-slide-sub > *,
  .c-slide-sub__02 > * {
    border-radius: 10px;
  }
}
.c-slide-sub .splide__slide,
.c-slide-sub__02 .splide__slide {
  border-radius: 20px;
  overflow: hidden;
}
@media screen and (max-width: 767px) {
  .c-slide-sub .splide__slide,
  .c-slide-sub__02 .splide__slide {
    border-radius: 10px;
  }
}
.c-slide-sub .splide__pagination,
.c-slide-sub__02 .splide__pagination {
  bottom: -42px;
  gap: 12px;
}
@media screen and (max-width: 767px) {
  .c-slide-sub .splide__pagination,
  .c-slide-sub__02 .splide__pagination {
    bottom: -30px;
    gap: 10px;
  }
}
.c-slide-sub .splide__pagination li button,
.c-slide-sub__02 .splide__pagination li button {
  width: 20px;
  height: 12px;
  margin: 0;
  background-color: #EDE6D7;
  border-radius: 50%;
  opacity: 1;
  transition: background-color 0.9s;
}
@media screen and (max-width: 767px) {
  .c-slide-sub .splide__pagination li button,
  .c-slide-sub__02 .splide__pagination li button {
    width: 16px;
    height: 8px;
  }
}
.c-slide-sub .splide__pagination li button.splide__pagination__page.is-active,
.c-slide-sub__02 .splide__pagination li button.splide__pagination__page.is-active {
  transform: scale(1);
  background-color: #2C4473;
}

.c-slide__mainfood,
.c-slide__sidefood,
.c-slide__sweets,
.c-slide__drink,
.c-slide__cafe {
  position: relative;
  display: flex;
  gap: 30px;
  margin-top: 50px;
}
@media screen and (max-width: 767px) {
  .c-slide__mainfood,
  .c-slide__sidefood,
  .c-slide__sweets,
  .c-slide__drink,
  .c-slide__cafe {
    margin-top: 30px;
  }
}
.c-slide__mainfood[data-view=true]::before,
.c-slide__sidefood[data-view=true]::before,
.c-slide__sweets[data-view=true]::before,
.c-slide__drink[data-view=true]::before,
.c-slide__cafe[data-view=true]::before {
  height: 0;
  top: initial;
}
.c-slide__mainfood .splide__pagination,
.c-slide__sidefood .splide__pagination,
.c-slide__sweets .splide__pagination,
.c-slide__drink .splide__pagination,
.c-slide__cafe .splide__pagination {
  bottom: -40px;
  gap: 15px;
}
@media screen and (max-width: 767px) {
  .c-slide__mainfood .splide__pagination,
  .c-slide__sidefood .splide__pagination,
  .c-slide__sweets .splide__pagination,
  .c-slide__drink .splide__pagination,
  .c-slide__cafe .splide__pagination {
    bottom: -29px;
    gap: 10px;
  }
}
.c-slide__mainfood .splide__pagination li button,
.c-slide__sidefood .splide__pagination li button,
.c-slide__sweets .splide__pagination li button,
.c-slide__drink .splide__pagination li button,
.c-slide__cafe .splide__pagination li button {
  width: 18px;
  height: 10px;
  margin: 0;
  background-color: #EDE6D7;
  border-radius: 50%;
  opacity: 1;
  transition: background-color 0.9s;
}
@media screen and (max-width: 767px) {
  .c-slide__mainfood .splide__pagination li button,
  .c-slide__sidefood .splide__pagination li button,
  .c-slide__sweets .splide__pagination li button,
  .c-slide__drink .splide__pagination li button,
  .c-slide__cafe .splide__pagination li button {
    width: 16px;
    height: 8px;
  }
}
.c-slide__mainfood .splide__pagination li button.splide__pagination__page.is-active,
.c-slide__sidefood .splide__pagination li button.splide__pagination__page.is-active,
.c-slide__sweets .splide__pagination li button.splide__pagination__page.is-active,
.c-slide__drink .splide__pagination li button.splide__pagination__page.is-active,
.c-slide__cafe .splide__pagination li button.splide__pagination__page.is-active {
  transform: scale(1);
  background-color: #D04D18;
}

.c-slide__mainfood .splide__pagination__page.is-active {
  background-color: #2C4473 !important;
}

.c-slide__cafe::before {
  background-color: #504437;
}

.c-text {
  margin-top: 75px;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .c-text {
    margin-top: 58px;
    padding: 0 25px;
    font-size: 1.5rem;
    line-height: 1.8;
    text-align: left;
  }
  .c-text br {
    display: none;
  }
}

.c-text__sub {
  max-width: 420px;
  margin: 20px auto 0;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.8;
  text-align: left;
}
@media screen and (max-width: 767px) {
  .c-text__sub {
    margin: 12px auto 0;
    font-size: 1.5rem;
  }
}

.p-front__about {
  margin-top: 140px;
  padding: 135px 30px 165px;
  text-align: center;
  color: #EDE6D7;
  background-color: #2C4473;
  border-radius: 40px;
}
@media screen and (max-width: 767px) {
  .p-front__about {
    margin-top: 80px;
    padding: 70px 20px 80px;
    border-radius: 20px;
  }
}
@media screen and (max-width: 350px) {
  .p-front__about {
    padding: 70px 15px 80px;
  }
}

@media screen and (max-width: 767px) {
  .p-front__about-message img {
    width: 89%;
  }
}

.p-front__about-text {
  margin-top: 95px;
}
@media screen and (max-width: 767px) {
  .p-front__about-text {
    margin-top: 60px;
  }
}
.p-front__about-text p {
  font-size: 2.6rem;
  font-weight: 900;
  line-height: 2.3;
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.2s 0.8s, transform 0.4s 0.8s var(--easePopUp);
}
@media screen and (max-width: 767px) {
  .p-front__about-text p {
    font-size: 1.8rem;
    line-height: 2;
  }
}
@media screen and (max-width: 350px) {
  .p-front__about-text p {
    font-size: 1.6rem;
    line-height: 2;
  }
}
.p-front__about-text p[data-view=true] {
  opacity: 1;
  transform: translateY(0);
}
.p-front__about-text p:nth-child(2) {
  transition: opacity 0.2s 1.1s, transform 0.4s 1.1s --easePopUp;
}
.p-front__about-text p:nth-child(3) {
  transition: opacity 0.2s 1.4s, transform 0.4s 1.4s --easePopUp;
}
.p-front__about-text p + p {
  margin-top: 35px;
}

.p-front__about-message {
  position: relative;
}
.p-front__about-message::before {
  content: "";
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  display: inline-block;
  width: 100%;
  height: 110%;
  background-color: #2C4473;
  transition: width 1s 0.2s;
}
@media screen and (max-width: 767px) {
  .p-front__about-message::before {
    height: 125%;
  }
}
.p-front__about-message img {
  transform: translateY(50px) scale(80%);
  transition: transform 0.5s 0.5s cubic-bezier(0.61, 1.98, 0.51, 0.56);
}
.p-front__about-message[data-view=true]::before {
  width: 0;
}
.p-front__about-message[data-view=true] img {
  transform: translateY(0) scale(100%);
}

.p-front__beach {
  color: #EDE6D7;
  background-color: #2C4473;
}
@media screen and (max-width: 767px) {
  .p-front__beach {
    padding-right: 25px;
    padding-left: 25px;
  }
}
@media screen and (max-width: 350px) {
  .p-front__beach {
    padding-right: 15px;
    padding-left: 15px;
  }
}

.p-front__beach-image {
  max-width: 1025px;
  margin: 50px auto 90px;
}
@media screen and (max-width: 767px) {
  .p-front__beach-image {
    margin: 50px auto;
  }
}
.p-front__beach-image img {
  border-radius: 30px;
}
@media screen and (max-width: 767px) {
  .p-front__beach-image img {
    border-radius: 20px;
  }
}
.p-front__beach-image figcaption {
  margin-top: 22px;
  font-size: 1.2rem;
  line-height: 1.8;
  text-align: right;
}
@media screen and (max-width: 767px) {
  .p-front__beach-image figcaption {
    margin-top: 15px;
  }
}

.p-front__beach-wrap {
  display: flex;
  gap: 80px;
  max-width: 920px;
  margin: 0 auto;
}
@media screen and (max-width: 960px) {
  .p-front__beach-wrap {
    gap: 40px;
  }
}
@media screen and (max-width: 767px) {
  .p-front__beach-wrap {
    display: block;
  }
}

.p-front__beach-unit {
  width: 100%;
}
@media screen and (max-width: 767px) {
  .p-front__beach-unit + .p-front__beach-unit {
    margin-top: 60px;
  }
}
.p-front__beach-unit h3 {
  display: grid;
  place-content: center;
  min-height: 112px;
  margin-bottom: 30px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 6.2rem;
  line-height: 0.9;
}
@media screen and (max-width: 767px) {
  .p-front__beach-unit h3 {
    min-height: auto;
    margin-bottom: 24px;
    font-size: 4.8rem;
  }
}
@media screen and (max-width: 350px) {
  .p-front__beach-unit h3 {
    font-size: 3.8rem;
  }
}

.p-front__beach-unit-note {
  margin-top: 15px;
  text-align: left;
}
@media screen and (max-width: 767px) {
  .p-front__beach-unit-note {
    margin-top: 20px;
  }
}
.p-front__beach-unit-note p {
  font-size: 1.4rem;
  line-height: 1.8;
}
@media screen and (max-width: 767px) {
  .p-front__beach-unit-note p {
    font-size: 1.3rem;
  }
}

.p-front__beach-message {
  max-width: 920px;
  margin: 50px auto 0;
  padding: 28px 37px 36px;
  text-align: left;
  border: 1px solid rgba(237, 230, 215, 0.35);
}
@media screen and (max-width: 767px) {
  .p-front__beach-message {
    margin: 45px auto 0;
    padding: 15px 20px 20px;
  }
}
.p-front__beach-message p {
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.8;
}
@media screen and (max-width: 767px) {
  .p-front__beach-message p {
    font-size: 1.6rem;
  }
}

.p-front__cafe {
  color: #EDE6D7;
  background-color: #504437;
}

.p-front__food {
  color: #EDE6D7;
  background-color: #D04D18;
}
.p-front__food[data-color=blue] {
  background-color: #2C4473;
}
.p-front__food[data-color=green] {
  background-color: #3C583F;
}

.p-front__hero {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: calc(100vh - 40px);
  max-height: 940px;
  min-height: 800px;
  margin-top: 40px;
  color: #EDE6D7;
  background-color: #D04D18;
  border-radius: 40px;
}
@media screen and (max-width: 1420px) {
  .p-front__hero {
    min-height: 700px;
  }
}
@media screen and (max-width: 960px) {
  .p-front__hero {
    max-height: 560px;
    min-height: 560px;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero {
    display: block;
    height: 248vw;
    max-height: 100%;
    min-height: 930px;
    margin-top: 10px;
    border-radius: 20px;
  }
}
@media screen and (max-width: 350px) {
  .p-front__hero {
    min-height: 860px;
  }
}
.p-front__hero-content {
  display: flex;
  flex-flow: column;
  order: 1;
  justify-content: space-between;
  height: 100%;
  padding: 60px 0 93px 60px;
}
@media screen and (max-width: 1420px) {
  .p-front__hero-content {
    padding: 60px 0 65px 60px;
  }
}
@media screen and (max-width: 960px) {
  .p-front__hero-content {
    padding: 45px 0 45px 30px;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-content {
    justify-content: flex-end;
    height: auto;
    padding: 17vw 0 54px;
  }
}

@media screen and (max-width: 960px) {
  .p-front__hero-logo img {
    width: 145px;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-logo {
    position: absolute;
    top: 23px;
    left: 23px;
    font-size: 0;
  }
  .p-front__hero-logo img {
    width: 106px;
    height: auto;
  }
}

.p-front__hero-date {
  position: absolute;
  z-index: 2;
  top: 50%;
  left: 53px;
  transform: translateY(-150%);
  opacity: 0;
  transition: transform 0.6s 0.5s cubic-bezier(0.61, 1.98, 0.51, 0.56), opacity 0.6s 0.5s;
}
.p-front__hero-date[data-view=true] {
  opacity: 1;
  transform: translateY(-50%);
}
@media screen and (max-width: 767px) {
  .p-front__hero-date[data-view=true] {
    transform: translateY(0);
  }
}
@media screen and (max-width: 1420px) {
  .p-front__hero-date img {
    width: 80%;
  }
}
@media screen and (max-width: 1080px) {
  .p-front__hero-date img {
    width: 60%;
  }
}
@media screen and (max-width: 960px) {
  .p-front__hero-date {
    left: 30px;
  }
  .p-front__hero-date img {
    width: 40%;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-date {
    top: 36vw;
    left: 0;
    width: 100%;
    text-align: center;
    opacity: 1;
    transform: translateY(0);
  }
  .p-front__hero-date img {
    width: 73vw;
  }
}

.p-front__hero-text {
  position: relative;
  padding-left: 24px;
}
.p-front__hero-text[data-view=true]::before {
  width: 2px;
  background-color: #DE9977;
  opacity: 0.5;
}
@media screen and (max-width: 960px) {
  .p-front__hero-text {
    padding-left: 18px;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-text {
    padding: 0;
    text-align: center;
  }
}
.p-front__hero-text::before {
  content: "";
  position: absolute;
  top: -1px;
  left: -3px;
  display: inline-block;
  width: 100%;
  height: 102%;
  background-color: #EDE6D7;
  opacity: 1;
  background-color: #D04D18;
  border-radius: 4px;
  transition: all 0.6s 2.5s ease-in-out;
}
@media screen and (max-width: 767px) {
  .p-front__hero-text::before {
    display: none;
  }
}
.p-front__hero-text p {
  font-size: 1.8rem;
  font-weight: 900;
  line-height: 1.8;
}
@media screen and (max-width: 960px) {
  .p-front__hero-text p {
    font-size: 1.4rem;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-text p {
    font-size: 1.8rem;
  }
}
.p-front__hero-text p + p {
  margin-top: 15px;
}

.p-front__hero-image {
  position: relative;
  order: 2;
  width: 70%;
}
@media screen and (max-width: 1420px) {
  .p-front__hero-image {
    width: 60vw;
  }
}
@media screen and (max-width: 1280px) {
  .p-front__hero-image {
    width: 60vw;
  }
}
@media screen and (max-width: 1080px) {
  .p-front__hero-image {
    width: 58vw;
  }
}
@media screen and (max-width: 960px) {
  .p-front__hero-image {
    width: 60vw;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-image {
    width: 100%;
    padding-top: 73vw;
  }
}
.p-front__hero-image[data-view=true]::before {
  left: initial;
  width: 0;
}
.p-front__hero-image::before {
  content: "";
  position: absolute;
  z-index: 1;
  inset: 0;
  width: 100%;
  height: 106%;
  background-color: #D04D18;
  transition: width 0.8s 1.4s ease-in-out;
}
@media screen and (max-width: 1280px) {
  .p-front__hero-image::before {
    height: 115%;
  }
}
@media screen and (max-width: 960px) {
  .p-front__hero-image::before {
    height: 109%;
  }
}
@media screen and (max-width: 767px) {
  .p-front__hero-image::before {
    height: 65%;
    top: 72vw;
    transition: width 0.8s 1.7s ease-in-out;
  }
}
.p-front__hero-image > *:not(.splide__pagination) {
  max-height: 650px;
  border-radius: 50px 0 0 50px;
  overflow: hidden;
}
@media screen and (max-width: 767px) {
  .p-front__hero-image > *:not(.splide__pagination) {
    width: 100%;
    aspect-ratio: 71/73;
    border-radius: 0;
  }
}
.p-front__hero-image .splide__slide img {
  transition: 7s 1s ease-out;
}
@media screen and (max-width: 767px) {
  .p-front__hero-image .splide__slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}
.p-front__hero-image .splide__pagination {
  z-index: 0;
  bottom: -35px;
  gap: 10px;
}
@media screen and (max-width: 767px) {
  .p-front__hero-image .splide__pagination {
    bottom: -30px;
  }
}
.p-front__hero-image .splide__pagination li button {
  width: 17px;
  height: 10px;
  margin: 0;
  background-color: #EDE6D7;
  border-radius: 50%;
  opacity: 1;
  transition: background-color 0.9s;
}
@media screen and (max-width: 767px) {
  .p-front__hero-image .splide__pagination li button {
    width: 13px;
    height: 8px;
  }
}
.p-front__hero-image .splide__pagination li button.splide__pagination__page.is-active {
  transform: scale(1);
  background-color: #2C4473;
}

.p-front__hero-load {
  position: absolute;
  z-index: 3;
  inset: 0;
  display: grid;
  place-content: center;
  transition: all 0.4s 0.6s ease-in-out;
}
@media screen and (max-width: 767px) {
  .p-front__hero-load {
    height: 100vh;
  }
}
.p-front__hero-load[data-view=true] {
  opacity: 0;
  visibility: hidden;
}

.p-front__news {
  margin-top: 32px;
  padding-left: 20px;
}
@media screen and (max-width: 767px) {
  .p-front__news {
    margin-top: 25px;
    padding-left: 15px;
  }
}
.p-front__news a {
  display: inline-flex;
  align-items: flex-start;
  font-weight: bold;
  line-height: 1.8;
  text-decoration: none;
}
@media screen and (max-width: 767px) {
  .p-front__news a {
    display: block;
  }
}
@media (any-hover: hover) {
  .p-front__news a:hover p::after {
    right: initial;
    left: 0;
    width: 100%;
  }
}
.p-front__news a time {
  margin-right: 20px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  transform: translateY(2px);
}
@media screen and (max-width: 767px) {
  .p-front__news a time {
    margin: 0 0 5px;
    font-family: "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
    font-size: 1.3rem;
    font-weight: 900;
    transform: translateY(0);
  }
}
.p-front__news a p {
  position: relative;
  font-size: 1.8rem;
  transform: translateY(-2px);
}
@media screen and (max-width: 767px) {
  .p-front__news a p {
    font-size: 1.5rem;
    line-height: 1.5;
  }
}
.p-front__news a p::after {
  content: "";
  position: absolute;
  bottom: -1px;
  right: 0;
  width: 0;
  height: 2px;
  background-color: #2C4473;
  opacity: 0.6;
  transition: all 0.4s ease-in;
}
.p-front__news a span {
  display: inline-block;
  margin-left: 11px;
  padding: 6px 30px 7px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 1.6rem;
  line-height: 1;
  color: #EDE6D7;
  background-color: #D04D18;
}
@media screen and (max-width: 767px) {
  .p-front__news a span {
    margin: 8px 0 0;
    padding: 5px 20px;
  }
}

.p-front__shops {
  color: #EDE6D7;
  background-color: #D04D18;
}
@media screen and (max-width: 767px) {
  .p-front__shops {
    padding-right: 25px;
    padding-left: 25px;
  }
}
@media screen and (max-width: 350px) {
  .p-front__shops {
    padding-right: 15px;
    padding-left: 15px;
  }
}

.p-front__shops-wrap {
  display: flex;
  gap: 40px;
  margin-top: 58px;
}
@media screen and (max-width: 960px) {
  .p-front__shops-wrap {
    display: block;
  }
}
@media screen and (max-width: 767px) {
  .p-front__shops-wrap {
    margin-top: 30px;
  }
}

.p-front__shops-unit {
  width: 50%;
}
@media screen and (max-width: 960px) {
  .p-front__shops-unit {
    width: 100%;
    max-width: 420px;
    margin: 0 auto;
  }
}
@media screen and (max-width: 767px) {
  .p-front__shops-unit {
    max-width: 100%;
  }
}
@media screen and (max-width: 960px) {
  .p-front__shops-unit + .p-front__shops-unit {
    margin-top: 80px;
  }
}
@media screen and (max-width: 767px) {
  .p-front__shops-unit + .p-front__shops-unit {
    margin-top: 40px;
  }
}
.p-front__shops-unit h3 {
  margin: 80px 0 0;
  font-size: 3rem;
  font-weight: 900;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .p-front__shops-unit h3 {
    margin: 50px 0 0;
    font-size: 2rem;
  }
}

.p-front__shops-unit-attention {
  font-weight: 700;
  font-size: 1.6rem;
}
@media screen and (max-width: 767px) {
  .p-front__shops-unit-attention {
    font-size: 1.3rem;
  }
}

.p-front__slide {
  margin-top: 64px;
  overflow-x: hidden;
}
@media screen and (max-width: 767px) {
  .p-front__slide {
    margin-top: 60px;
  }
}

.p-front__slide-message {
  display: flex;
}
.p-front__slide-message p {
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 6.6rem;
  line-height: 1;
  letter-spacing: 0.03em;
  white-space: nowrap;
}
@media screen and (max-width: 767px) {
  .p-front__slide-message p {
    font-size: 3.6rem;
  }
}
.p-front__slide-message p:first-child {
  animation: slide-text_01 50s -25s linear infinite;
}
.p-front__slide-message p:nth-child(2) {
  animation: slide-text_02 50s linear infinite;
}

@keyframes slide-text_01 {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}
@keyframes slide-text_02 {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-200%);
  }
}
.p-front__slide-content {
  position: relative;
  margin-top: 40px;
}
@media screen and (max-width: 767px) {
  .p-front__slide-content {
    margin-top: 20px;
  }
}
@media screen and (width >= 1441px) {
  .p-front__slide-content .splide__slide img {
    width: 100%;
    height: auto;
  }
}

.p-front__banner {
  margin-top: 12px;
}
@media screen and (max-width: 767px) {
  .p-front__banner {
    margin-top: 34px;
  }
}
.p-front__banner-inner {
  max-width: 800px;
  padding: 0 23px;
  width: 100%;
  margin: 0 auto;
}

.p-front {
  color: #2C4473;
}

.p-news {
  margin-top: 40px;
  padding: 60px 65px 140px;
  background-color: #D04D18;
  border-radius: 40px;
}
@media screen and (max-width: 767px) {
  .p-news {
    margin-top: 10px;
    padding: 23px 15px 20px;
    border-radius: 20px;
  }
}

@media screen and (max-width: 767px) {
  .p-news__logo {
    margin-left: 8px;
  }
}
@media screen and (max-width: 767px) {
  .p-news__logo img {
    height: 50px;
    width: auto;
  }
}

.p-news__wrapper {
  max-width: 780px;
  margin: 55px auto 0;
  text-align: center;
  color: #EDE6D7;
}
.p-news__wrapper > span {
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 8.2rem;
  line-height: 0.9;
}
@media screen and (max-width: 767px) {
  .p-news__wrapper > span {
    font-size: 5.6rem;
  }
}
.p-news__wrapper > h1 {
  margin-top: 60px;
  font-size: 2.6rem;
  line-height: 2;
}
@media screen and (max-width: 767px) {
  .p-news__wrapper > h1 {
    display: grid;
    place-content: center;
    margin-top: 54px;
    font-size: 2rem;
    line-height: 1.5;
    text-align: left;
  }
}
.p-news__wrapper > time {
  display: inline-block;
  margin-top: 15px;
  font-family: "program", "Helvetica Neue", Helvetica, "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  font-size: 1.5rem;
  line-height: 1.8;
}
@media screen and (max-width: 767px) {
  .p-news__wrapper > time {
    display: block;
    font-size: 1.3rem;
    text-align: left;
  }
}

.p-news__content {
  margin-top: 40px;
  padding: 80px 30px 120px;
  color: #D04D18;
  background-color: #EDE6D7;
  border-radius: 20px;
}
@media screen and (max-width: 767px) {
  .p-news__content {
    margin-top: 20px;
    padding: 30px 22px 80px;
  }
}

.p-news__content-inner {
  max-width: 500px;
  margin: 0 auto;
  text-align: left;
}
.p-news__content-inner h2 {
  margin: 60px 0 20px;
  font-size: 1.8rem;
  line-height: 1.8;
}
@media screen and (max-width: 767px) {
  .p-news__content-inner h2 {
    margin: 45px 0 20px;
  }
}
.p-news__content-inner p {
  line-height: 1.8;
}
.p-news__content-inner p + p {
  margin-top: 20px;
}
.p-news__content-inner a {
  text-decoration: underline;
}
.p-news__content-inner a:hover {
  text-decoration: none;
}

.p-news__content-link {
  margin-top: 60px;
}
@media screen and (max-width: 767px) {
  .p-news__content-link {
    margin-top: 45px;
  }
}
.p-news__content-link a {
  text-decoration: underline;
}
.p-news__content-link a:hover {
  text-decoration: none;
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif, sans-serif;
  font-size: 1.5rem;
  font-weight: 400;
  line-height: 1.75;
  color: #2C4473;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
  background-color: #EDE6D7;
}
body main {
  --easePopUp: cubic-bezier(0.17, 0.88, 0.30, 1.28);
}
body main > *:not(.p-front__slide) {
  max-width: 1360px;
  margin-right: auto;
  margin-left: auto;
}
@media screen and (max-width: 1420px) {
  body main > *:not(.p-front__slide) {
    max-width: calc(100% - 60px);
  }
}
@media screen and (max-width: 767px) {
  body main > *:not(.p-front__slide) {
    max-width: calc(100% - 20px);
  }
}
body main > section {
  margin-top: 40px;
  padding: 105px 50px 110px;
  text-align: center;
  border-radius: 40px;
}
@media screen and (max-width: 960px) {
  body main > section.p-front__food, body main > section.p-front__cafe {
    padding: 105px 0 110px;
  }
}
@media screen and (max-width: 767px) {
  body main > section.p-front__food, body main > section.p-front__cafe {
    padding: 60px 0;
  }
}
@media screen and (max-width: 767px) {
  body main > section {
    margin-top: 10px;
    padding: 60px 0;
    border-radius: 20px;
  }
}
body a {
  text-decoration: underline;
  text-decoration-skip-ink: none;
  text-underline-position: under;
  color: inherit;
}
body ul,
body ol {
  list-style: none;
}
body img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
}
body img[data-img=emoji] {
  transform: translateY(-3px);
}
@media screen and (max-width: 767px) {
  body img[data-img=emoji] {
    width: 21px;
    height: 21px;
    transform: translateY(-2px);
  }
}
body input,
body button,
body textarea,
body select {
  font-size: inherit;
  font-family: "Noto Sans JP", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "ヒラギノ角ゴ ProN W3", Hiragino Kaku Gothic ProN, Arial, "メイリオ", Meiryo, sans-serif;
  color: inherit;
  background: none;
  border: none;
  border-radius: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  -ms-appearance: none;
  appearance: none;
}
body input [type=submit],
body button {
  cursor: pointer;
}
body br[data-view=sp] {
  display: none;
}
@media screen and (max-width: 767px) {
  body br[data-view=sp] {
    display: block;
  }
}
body br[data-view=tl] {
  display: none;
}
@media screen and (max-width: 960px) {
  body br[data-view=tl] {
    display: block;
  }
}
@media screen and (max-width: 767px) {
  body br[data-view=pc] {
    display: none;
  }
}

.pc {
  display: block;
}
@media screen and (max-width: 767px) {
  .pc {
    display: none;
  }
}

.tl_s {
  display: none;
}
@media screen and (max-width: 1080px) {
  .tl_s {
    display: block;
  }
}

.sp {
  display: none;
}
@media screen and (max-width: 767px) {
  .sp {
    display: block;
  }
}

/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */
/* Document
   ========================================================================== */
/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */
html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
}

/* Sections
   ========================================================================== */
/**
 * Remove the margin in all browsers.
 */
body {
  margin: 0;
}

/**
 * Render the `main` element consistently in IE.
 */
main {
  display: block;
}

/**
 * Correct the font size and margin on `h1` elements within `section` and
 * `article` contexts in Chrome, Firefox, and Safari.
 */
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

/* Grouping content
   ========================================================================== */
/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */
hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
pre {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}

/* Text-level semantics
   ========================================================================== */
/**
 * Remove the gray background on active links in IE 10.
 */
a {
  background-color: transparent;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */
abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */
b,
strong {
  font-weight: bolder;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}

/**
 * Add the correct font size in all browsers.
 */
small {
  font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/* Embedded content
   ========================================================================== */
/**
 * Remove the border on images inside links in IE 10.
 */
img {
  border-style: none;
}

/* Forms
   ========================================================================== */
/**
 * 1. Change the font styles in all browsers.
 * 2. Remove the margin in Firefox and Safari.
 */
button,
input,
optgroup,
select,
textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}

/**
 * Show the overflow in IE.
 * 1. Show the overflow in Edge.
 */
button,
input { /* 1 */
  overflow: visible;
}

/**
 * Remove the inheritance of text transform in Edge, Firefox, and IE.
 * 1. Remove the inheritance of text transform in Firefox.
 */
button,
select { /* 1 */
  text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */
button,
[type=button],
[type=reset],
[type=submit] {
  -webkit-appearance: button;
}

/**
 * Remove the inner border and padding in Firefox.
 */
button::-moz-focus-inner,
[type=button]::-moz-focus-inner,
[type=reset]::-moz-focus-inner,
[type=submit]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */
button:-moz-focusring,
[type=button]:-moz-focusring,
[type=reset]:-moz-focusring,
[type=submit]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

/**
 * Correct the padding in Firefox.
 */
fieldset {
  padding: 0.35em 0.75em 0.625em;
}

/**
 * 1. Correct the text wrapping in Edge and IE.
 * 2. Correct the color inheritance from `fieldset` elements in IE.
 * 3. Remove the padding so developers are not caught out when they zero out
 *    `fieldset` elements in all browsers.
 */
legend {
  box-sizing: border-box; /* 1 */
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */
progress {
  vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */
textarea {
  overflow: auto;
}

/**
 * 1. Add the correct box sizing in IE 10.
 * 2. Remove the padding in IE 10.
 */
[type=checkbox],
[type=radio] {
  box-sizing: border-box; /* 1 */
  padding: 0; /* 2 */
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */
[type=number]::-webkit-inner-spin-button,
[type=number]::-webkit-outer-spin-button {
  height: auto;
}

/**
 * 1. Correct the odd appearance in Chrome and Safari.
 * 2. Correct the outline style in Safari.
 */
[type=search] {
  -webkit-appearance: textfield; /* 1 */
  outline-offset: -2px; /* 2 */
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */
[type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */
::-webkit-file-upload-button {
  -webkit-appearance: button; /* 1 */
  font: inherit; /* 2 */
}

/* Interactive
   ========================================================================== */
/*
 * Add the correct display in Edge, IE 10+, and Firefox.
 */
details {
  display: block;
}

/*
 * Add the correct display in all browsers.
 */
summary {
  display: list-item;
}

/* Misc
   ========================================================================== */
/**
 * Add the correct display in IE 10+.
 */
template {
  display: none;
}

/**
 * Add the correct display in IE 10.
 */
[hidden] {
  display: none;
}

*:not(dialog),
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
